/*!
 * @file        apm32f0xx_int.c
 *
 * @brief       Main Interrupt Service Routines
 *
 * @version     V1.0.0
 *
 * @date        2020-08-05
 *
 */
#include "apm32f0xx_int.h"

/*!
 * @brief     This function handles NMI exception
 *
 * @param     None

 * @retval    None
 *
 * @note
 */
void NMI_Handler(void)
{
}

/*!
 * @brief     This function handles Hard Fault exception
 *
 * @param     None

 * @retval    None
 *
 * @note
 */
void HardFault_Handler(void)
{
  /* Go to infinite loop when Hard Fault exception occurs */
  while (1)
  {
  }
}

/*!
 * @brief     This function handles Memory Manage exception
 *
 * @param     None

 * @retval    None
 *
 * @note
 */
void MemManage_Handler(void)
{
  /* Go to infinite loop when Memory Manage exception occurs */
  while (1)
  {
  }
}

/*!
 * @brief     This function handles Bus Fault exception
 *
 * @param     None

 * @retval    None
 *
 * @note
 */
void BusFault_Handler(void)
{
  /* Go to infinite loop when Bus Fault exception occurs */
  while (1)
  {
  }
}

/*!
 * @brief     This function handles Usage Fault exception
 *
 * @param     None

 * @retval    None
 *
 * @note
 */
void UsageFault_Handler(void)
{
  /* Go to infinite loop when Usage Fault exception occurs */
  while (1)
  {
  }
}

/*!
 * @brief     This function handles SVCall exception
 *
 * @param     None

 * @retval    None
 *
 * @note
 */
void SVC_Handler(void)
{
}

/*!
 * @brief     This function handles Debug Monitor exception
 *
 * @param     None

 * @retval    None
 *
 * @note
 */
void DebugMon_Handler(void)
{
}

/*!
 * @brief     This function handles PendSV_Handler exception
 *
 * @param     None

 * @retval    None
 *
 * @note
 */
void PendSV_Handler(void)
{
}

/*!
 * @brief     This function handles SysTick Handler
 *
 * @param     None

 * @retval    None
 *
 * @note
 */
extern void TimingDelay_Decrement(void);
void SysTick_Handler(void)
{
    TimingDelay_Decrement();
}

/*!
 * @brief     This function handles I2C interrupt Handler
 *
 * @param     None

 * @retval    None
 *
 * @note
 */
void I2C1_IRQHandler(void)
{
    //CoreMaster_I2CIsr();
}

/*!
 * @brief     This function handles USART1 RX interrupt Handler
 *
 * @param     None

 * @retval    None
 *
 * @note
 */

void USART1_IRQHandler(void)
{
    //CoreMaster_UartIsr();
}


