/*!
 * @file        apm32f0xx_conf.h
 *
 * @brief       
 *
 * @version     V1.0.0
 *
 * @date        2020-08-05
 *
 */
 
#ifndef __APM32F0XX_CONF_H
#define __APM32F0XX_CONF_H

#include "apm32f0xx_adc.h"
#include "apm32f0xx_crc.h"
#include "apm32f0xx_dbg.h"
#include "apm32f0xx_dma.h"
#include "apm32f0xx_eint.h"
#include "apm32f0xx_fmc.h"
#include "apm32f0xx_gpio.h"
#include "apm32f0xx_i2c.h"
#include "apm32f0xx_iwdt.h"
#include "apm32f0xx_misc.h"
#include "apm32f0xx_ob.h"
#include "apm32f0xx_pmu.h"
#include "apm32f0xx_rcm.h"
#include "apm32f0xx_rtc.h"
#include "apm32f0xx_spi.h"
#include "apm32f0xx_syscfg.h"
#include "apm32f0xx_tmr.h"
#include "apm32f0xx_usart.h"
#include "apm32f0xx_wwdt.h"

/*!
 * @brief       Exported macro
*/
#ifdef  USE_FULL_ASSERT

/*!
 * @brief     The assert_param macro is used for function's parameters check.
 *
 * @param     expr: If expr is false, it calls assert_failed function which reports 
 *            the name of the source file and the source line number of the call 
 *            that failed. If expr is true, it returns no value.
 * @retval    None
 *
 * @note
*/
#define assert_param(expr) ((expr) ? (void)0 : assert_failed((uint8_t *)__FILE__, __LINE__))

/*!
 * @brief       Exported functions
*/
void assert_failed(uint8_t* file, uint32_t line);

#else
#define assert_param(expr) ((void)0)
#endif /* USE_FULL_ASSERT */

#endif  /*__APM32F0XX_CONF_H*/

